/*
  require.h

  Licensed under the GNU Public License.
  See LICENSE for more information.
  wipe is free software.

  minimum requirements for wipe
*/

#ifndef HAVE_UNISTD_H
# error missing include: unistd.h required
#endif

#ifndef HAVE_STDLIB_H
# error missing include: stdlib.h required
#endif

#ifndef HAVE_STDIO_H
# error missing include: stdio.h required
#endif

#ifndef HAVE_TIME_H
# error missing include: time.h required
#endif

#ifndef HAVE_CTYPE_H
# error missing include: ctype.h required
#endif

#ifndef HAVE_STRING_H
# ifndef HAVE_MEMORY_H
#  error missing include: string.h or memory.h required
# endif
#endif

#ifndef HAVE_SYS_STAT_H
# error missing include: sys/stat.h required
#endif

#ifndef HAVE_SYS_TYPES_H
# error missing include: sys/types.h required
#endif

#ifndef HAVE_SYS_TIME_H
# error missing include: sys/time.h required
#endif

#ifndef HAVE_GETOPT_H
# error missing include: getopt.h required
#endif

#ifndef HAVE_ERRNO_H
# error missing include: errno.h required
#endif

#ifndef HAVE_ACCESS
# error missing function: access() required
#endif

#ifndef HAVE_ATOI
# error missing function: atoi() required
#endif

#ifndef HAVE_SSCANF
# error missing function: sscanf required
#endif

#ifndef HAVE_FDATASYNC
# ifndef HAVE_FSYNC
# error missing function: fsync() or fdatasync() required
# endif
#endif

#ifndef HAVE_FSYNC
# ifndef HAVE_FCNTL
#  error missing function: fsync() or fcntl() required
# endif
#endif

#ifndef HAVE_GETOPT
# error missing function: getopt() required
#endif

#ifndef HAVE_LSEEK
# error missing function: lseek() required
#endif

#ifndef HAVE_MEMSET
# error missing function: memset() required
#endif

#ifndef HAVE_MEMCPY
# error missing function: memcpy() required
#endif

#ifndef HAVE_MALLOC
# error missing function: malloc() required
#endif

#ifdef USE_RAND
# ifndef HAVE_SRAND
#  error missing function: srand() required
# endif

# ifndef HAVE_RAND
#  error missing function: rand() required
# endif
#endif

#ifndef HAVE_UNLINK
# ifndef HAVE_REMOVE
#  error missing function: unlink() or remove() required
# endif
#endif

#ifndef HAVE_RMDIR
# ifndef HAVE_REMOVE
#  error missing function: rmdir() or remove() required
# endif
#endif

#ifndef HAVE_UNLINK
# ifndef HAVE_REMOVE
#  error missing function: unlink() or remove() required
# endif
#endif

#ifndef HAVE_RENAME
# error missing functions: rename() required
#endif

#ifndef HAVE_STAT
# error missing function: stat() required
#endif
